# Performance

## **Report**&#x20;

The endpoint is designed to handle requests for generating a report of trips. It allows users to retrieve aggregated or summarized information about multiple trips based on certain criteria or filters.

## GET /api/v2/Trip/report

>

```json
{"openapi":"3.0.1","info":{"title":"Gizo","version":"2.0"},"servers":[{"url":"https://api.artificient.de"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Provide a JWT Bearer","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TripReportType":{"enum":["Daily","Weekly","Monthly","Yearly","AllTime"],"type":"int32","format":"int32"},"UserTripsReportResponse":{"type":"object","properties":{"difference":{"type":"integer","format":"int32"},"items":{"type":"array","items":{"$ref":"#/components/schemas/TripReportResponse"},"nullable":true}},"additionalProperties":false},"TripReportResponse":{"type":"object","properties":{"date":{"type":"string","format":"date-time","nullable":true},"trips":{"type":"integer","format":"int32"},"score":{"type":"number","format":"double"},"distance":{"type":"number","format":"double"},"duration":{"type":"number","format":"double"},"label":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/v2/Trip/report":{"get":{"tags":["Trip"],"parameters":[{"name":"UserTripReportType","in":"query","schema":{"$ref":"#/components/schemas/TripReportType"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserTripsReportResponse"}}}}}}}}}
```

#### Header Request Parameters

Authentication Bearer Token

#### Request Query Parameters

**UserTripReportType:** it specifies the type of report scores, and is expected to be a numeric value, e.g. **1**.

**NOTE:**  the report type of DAILY will return **1**, WEEKLY will return **2**, and MONTHLY will return **3**.

#### **Response**

The provided endpoint response contains an array of several properties, including:

**difference:** the performanse property provides a numerical value by comparing the scores based on the report type, e.g. **90**.

**items:** the items property contains an array of items representing individual trips in the report. Each object within the items array represents a specific trip in the report, and the trip object includes the  **date**, **score** ,and **label** information.&#x20;

* **date:** the date property represents a specific date and time of the report, which is formatted as "yyyy-MM-dd'T'HH:mm:ss.SSS", and it is expected to be a string value, e.g. **"2023-08-29T00:00:00.000".**
* **score:** the score property represents a numerical score associated with the scores of all the user’s trips during the specific time, e.g. **91.5**.
* **label:** the label property represents a string or text label associated with the trip. It is expected to be a string value, e.g. **"Tue"**.

**NOTE:** the label is determined based on the type of report. If the report type is DAILY, the label is the days of the week. For WEEKLY, it's the weeks of the year, and For MONTHLY, it's the months of the year.&#x20;

## **Driving Score**

The endpoint is designed to handle requests for retrieving or fetching the driving score information associated with a trip or journey. It allows users to access details about the driving performance or behavior during a specific trip.

## GET /api/v1/Trip/drivingScore

>

```json
{"openapi":"3.0.1","info":{"title":"Gizo API v1","version":"1.0"},"servers":[{"url":"https://api.artificient.de"},{"url":"https://api.gizo.pod.artificient.de"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Provide a JWT Bearer","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Gizo.Application.Trips.Dtos.UserDrivingScoreResponse":{"type":"object","properties":{"averageScore":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/v1/Trip/drivingScore":{"get":{"tags":["Trip"],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Gizo.Application.Trips.Dtos.UserDrivingScoreResponse"}}}}}}}}}
```

#### Header Request Parameters

Authentication Bearer Token

#### **Response**

The provided endpoint response contains a property, which is

**averageScore:** the averageScore property represents the average score gained from the all trips of the user. It is expected to be a numeric value, e.g. **95**.

## **Event Stats**&#x20;

The endpoint is designed to handle requests for retrieving event statistics within a trip report. It allows users to access aggregated information and statistics related to specific events and incidents that occurred during trips or journeys.

## GET /api/v2/Trip/report/eventStats

>

```json
{"openapi":"3.0.1","info":{"title":"Gizo","version":"2.0"},"servers":[{"url":"https://api.artificient.de"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Provide a JWT Bearer","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TripReportType":{"enum":["Daily","Weekly","Monthly","Yearly","AllTime"],"type":"int32","format":"int32"},"TripEventReportResponseV1":{"type":"object","properties":{"title":{"type":"string","nullable":true},"subtitle":{"type":"string","nullable":true},"score":{"type":"integer","format":"int32"},"difference":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/v2/Trip/report/eventStats":{"get":{"tags":["Trip"],"parameters":[{"name":"UserId","in":"query","schema":{"type":"integer","format":"int64"}},{"name":"TripReportType","in":"query","schema":{"$ref":"#/components/schemas/TripReportType"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TripEventReportResponseV1"}}}}}}}}}}
```

#### Header Request Parameters

Authentication Bearer Token

#### Request Query Parameters

**TripReportType:** it specifies the type of report scores, and is expected to be a numeric value, e.g. **1**.

**NOTE:**  the report type of DAILY will return **1**, WEEKLY will return **2**, and MONTHLY will return **3**.

#### **Response**

The provided endpoint response contains an array of several properties, including:

**title:** the title property represents a string or text that serves as a title or heading. It typically describes or identifies an event stats.

**subtitle:** the subtitle property represents a string or text that serves as a subtitle or secondary information related to the title. It provides additional details or context about the item or category.

**score:** the score property represents a numerical score associated with the item or category being described, e.g. **20**.

**difference:** the difference property represents a numerical value indicating the difference or change related to the score. It provides information about how the score has changed for a particular report type compared to its previous value, e.g. **20**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artificient.de/api-documentation/performance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
